# Musik

Script pour créer un jeu de Musik.

## Installation
Pour utiliser la création automatisée de Playlist youtube, les bibliothèques Python
suivantes doivent être installées :
```
pip install --upgrade google-api-python-client
pip install --upgrade google-auth-oauthlib google-auth-httplib2
```

## Configuration
Pour utiliser l'API Youtube, une clé API est nécessaire. Elle doit être stockée dans le
fichier `secret.json`.

## Utilisation
Créer un dossier `lists` qui contient les listes de musiques pour chaque joueur (une url
youtube ou un identifiant de vidéo par ligne). Le nom des fichiers correspondra au nom
des joueurs.

Lancer le script à l'aide de la commande `python -m musik`.
```
usage: python -m musik [-h] [-a] [-b] [-n NUMBER] [--lists LISTS] [--blacklists BLACKLISTS] [--results RESULTS]

Lancer une partie de Musik

options:
  -h, --help            show this help message and exit
  -a, --no-api          Désactiver l'API Youtube ; affiche la liste des liens (default: False)
  -b, --no-blacklist    Désactiver le méchanisme de blacklist en lecture et écriture (default: False)
  -n NUMBER, --number NUMBER
                        Modifier le nombre de musiques par joueur (default: 2)
  --lists LISTS         Sélectionner le dossier contenant les listes de musiques (default: lists)
  --blacklists BLACKLISTS
                        Sélectionner le dossier contenant les blacklist (default: blacklists)
  --results RESULTS     Sélectionner le dossier pour stocker les résultats (default: results)
```

Stocker les fichiers des joueurs absents dans un dossier séparé.
